import java.awt.geom.Point2D;

abstract class ArmedHuman extends Human
{
	protected Weapon[] weapons;
	protected Weapon weapon;
	
	ArmedHuman (Point2D.Double start, int inner)
	{
		super(start, inner);
	}	
	
	ArmedHuman (Point2D.Double start, int inner, int outer)
	{
		super(start, inner, outer);
	}	
	
	ArmedHuman (Point2D.Double start, int inner, int outer, int health)
	{
		super(start, inner, outer, health);
	}
	
	protected void setWeapons (Weapon[] weapons)
	{
		this.weapons = weapons;
		
		setWeapon(0);
	}
	
	public void setWeapon (int i)
	{
		weapon = weapons[i];
		
		setSprite(weapon.sprite);
	}
	
	public Weapon getWeapon ()
	{
		return weapon;
	}
}
