import java.awt.geom.Point2D;

abstract class Human extends DamageableEntity
{
	private Sprite deathSprite;
	
	Human (Point2D.Double start, int inner)
	{
		super(start, inner);
	}	
	
	Human (Point2D.Double start, int inner, int outer)
	{
		super(start, inner, outer);
	}	
	
	Human (Point2D.Double start, int inner, int outer, int health)
	{
		super(start, inner, outer, health);
	}
	
	protected void setDeathSprite (Sprite sprite)
	{
		deathSprite = sprite;
	}
	
	public void die ()
	{
		DeadBody body = new DeadBody(pos, deathSprite, direction);
		
		GameArea.getLevel().removeEntity(this);
		
		GameArea.getLevel().addEntity(body);
	}
	
	public boolean solid ()
	{
		return true;
	}
}
