import java.awt.geom.Point2D;

abstract class Pickup extends Entity
{
	Pickup (Point2D.Double start, int inner, int outer)
	{
		super(start, inner, outer);
	}
	
	public void cycle ()
	{
		Player player = Player.getInstance();
		
		if (touching(player))
		{
			player.pickup(this);
			
			GameArea.getLevel().removeEntity(this);
		}
	}
}
